> ## Documentation Index
> Fetch the complete documentation index at: https://developer.energy-hub.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Vehicle image

> Returns the vehicle image as png file.



## OpenAPI

````yaml get /v1.0.0/vehicles/{vehicleId}/image.png
openapi: 3.0.1
info:
  description: A service used for vehicles
  title: vehicle-service
  version: 1.0.0
servers:
  - description: Generated server url
    url: https://api.energy-hub.io
security: []
paths:
  /v1.0.0/vehicles/{vehicleId}/image.png:
    get:
      tags:
        - Vehicle Controller
      summary: Vehicle image
      description: Returns the vehicle image as png file.
      operationId: getVehicleImage
      parameters:
        - schema:
            format: uuid
            type: string
          in: path
          name: vehicleId
          description: Vehicle ID
          required: true
      responses:
        '200':
          description: Successful operation
          content:
            image/png:
              schema:
                format: byte
                type: string
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorMessageDto'
              examples:
                UNAUTHORIZED:
                  $ref: '#/components/examples/UNAUTHORIZED'
        '404':
          description: Not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorMessageDto'
              examples:
                VEHICLE_NOT_FOUND:
                  $ref: '#/components/examples/VEHICLE_NOT_FOUND'
                DEVICE_IMAGE_NOT_FOUND:
                  $ref: '#/components/examples/DEVICE_IMAGE_NOT_FOUND'
      security:
        - API_Key: []
components:
  schemas:
    ErrorMessageDto:
      type: object
      required:
        - errorCode
        - id
        - message
      properties:
        errorCode:
          description: The error code
          type: string
          example: EXAMPLE_ERROR_CODE
        id:
          format: uuid
          description: The error identifier
          type: string
          example: 7958818d-64d2-4ede-b12b-4786dd2f348b
        message:
          description: The error message
          type: string
          example: Example error message
  examples:
    UNAUTHORIZED:
      value:
        errorCode: UNAUTHORIZED
        id: cae58230-364d-45ca-b67d-08a57653c59f
        message: Unauthorized
    VEHICLE_NOT_FOUND:
      value:
        errorCode: VEHICLE_NOT_FOUND
        id: cae58230-364d-45ca-b67d-08a57653c59f
        message: '[VEHICLE] Requested Vehicle not found'
    DEVICE_IMAGE_NOT_FOUND:
      value:
        errorCode: DEVICE_IMAGE_NOT_FOUND
        id: cae58230-364d-45ca-b67d-08a57653c59f
        message: Device image not found
  securitySchemes:
    API_Key:
      in: header
      name: X-API-KEY
      description: API key used for authorization and authentication.
      type: apiKey

````